Summary: Custom DB Backend for the Perdition imap proxy
Name: libperditiondb_rub
Version: 0.8.6
Release: 1
License: MIT
Group: Library
Source0: %{name}-%{version}.tar.gz
Source1: db-4.8.26.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Requires: perdition > 1.18-4

%description
This is a database backend plugin for Perdition, an imap and pop proxy.  This backend provides load balancing and persistent user->server connection caching; ie, if a user connects twice at the same time from two different IPs they will end up on the same server.  It is written in C and uses Berkeley DB 4.8 as its backend.

%prep
%setup -c %{name}-%{version}-%{release} -T -b 0
%setup -c %{name}-%{version}-%{release} -D -T -b 1

# Build db4.8 first
cd db-4.8.26/build_unix/
../dist/configure --with-pic
%ifarch i386
make
%else
CFLAGS=-fPIC make
%endif

cd ../..
cd %{name}-%{version}/

%ifarch i386
_ARCH=-m32 make
%else
_ARCH=-m64 make
%endif

%install

cd %{name}-%{version}
make install PREFIX=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
cp rubtool.1 $RPM_BUILD_ROOT/usr/share/man/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/local/bin/rubtool
/usr/lib/libperditiondb_rub.so
%doc /usr/share/man/man1/rubtool.1.gz

%changelog
* Wed Mar 17 2010 Russ Frank <rfranknj@nbcs.rutgers.edu> 0.8.6-1
- Updating to latest version:
- Tweaking benchmark tool & cache options

* Wed Mar 17 2010 Russ Frank <rfranknj@nbcs.rutgers.edu> 0.8.5-1
- Updating to latest version:
- More cache option stuff

* Wed Mar 17 2010 Russ Frank <rfranknj@nbcs.rutgers.edu> 0.8.4-1
- Updating to latest version:
- Edited caching options

* Tue Mar 16 2010 Russ Frank <rfranknj@nbcs.rutgers.edu> 0.8.3-1
- Updating to latest version
- Increasing cache size

* Wed Mar 10 2010 Russ Frank <rfranknj@nbcs.rutgers.edu> 0.8.2-1
- Updating to latest version
- Concurrency fixes, benchmark feature

* Fri Mar 05 2010 Russ Frank <rfranknj@nbcs.rutgers.edu> 0.8-1
- Updating to latest version

* Thu Mar 04 2010 Russ Frank <rfranknj@nbcs.rutgers.edu> 0.7.1-1
- Updating to latest version

* Thu Mar 04 2010 Russ Frank <rfranknj@nbcs.rutgers.edu> 0.7-1
- Updating to latest version

* Tue Mar 02 2010 Russ Frank <rfranknj@nbcs.rutgers.edu> 0.6.1-1
- Updating to latest version

* Tue Mar 02 2010 Russ Frank <rfranknj@nbcs.rutgers.edu> 0.6-1
- Updating to latest version

* Tue Feb 23 2010 Russ Frank <rfranknj@nbcs.rutgers.edu> 0.5.1-2,3
- Oops (again)

* Tue Feb 23 2010 Russ Frank <rfranknj@nbcs.rutgers.edu> 0.5.1-1
- Adding a man page

* Fri Feb 19 2010 Russ Frank <rfranknj@nbcs.rutgers.edu> 0.5-2
- Changing hard coded db location

* Fri Feb 19 2010 Russ Frank <rfranknj@nbcs.rutgers.edu> 0.5-1
- Updating to new version

* Fri Feb 19 2010 Russ Frank <rfranknj@nbcs.rutgers.edu> 0.4-2
- Updating dep to perdition > 1.18-4

* Tue Feb 17 2010 Russ Frank <rfranknj@nbcs.rutgers.edu> 0.4-1
- Updating to new version
- Fixing dates in changelog
- Building against new release of perdition

* Tue Feb 16 2010 Russ Frank <rfranknj@nbcs.rutgers.edu> 0.3-1
- Updating to new version

* Tue Feb 16 2010 Russ Frank <rfranknj@nbcs.rutgers.edu> 0.2-1
- Updating to new version

* Tue Feb 16 2010 Russ Frank <rfranknj@nbcs.rutgers.edu> 0.1-1
- Initial release
